import React, { Component } from 'react';

import { Link } from "react-router-dom";

import Loader from 'react-loader-spinner'

class AllStaffs extends Component {
    
    render() {
        const { inputStaffs, isFetching } = this.props
        let data;
            if(isFetching===true){
                data = <div> 
                    <Loader 
                type="Triangle"
                color="#1890ff"
                height="75"	
                width="75"
             /> 
             </div> 
            }
            else{
                data = <div className="staffs">
                    {inputStaffs.map((el,key)=>(<Link to={`/staff/${el.id}`}  key={key}  ><div className="staff" > {el.title} {el.price}  </div></Link> )
                    )}    
                      </div>
            }
        return (
           <div>
              
                {data}
           </div> 
            
        );
    }
}

export default AllStaffs;
