import React, { Component } from 'react';
import { connect} from 'react-redux';
import * as actions from "../actions/searchStaffByIdAction";
import { bindActionCreators } from "redux";

import SearchFullInfoStaff from '../components/SearchStaffsPage/SearchFullInfoStaff'

class SearchInfoStaffsInfo extends Component {
        componentDidMount(){
            const { getSeacrhStaffsDataById, match } = this.props
            getSeacrhStaffsDataById(match.params.id)
        }
    render() {
       
        return (
            <div>
                <SearchFullInfoStaff {...this.props}/>
            </div>
        );
    }
}

const mapStateToProps = state => ({

    fullInfoSearchData: state.searchStaffById.fullInfoSearchData,
    isFetching: state.searchStaffById.isFetching,

  });
  
  const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);
  
  export default SearchInfoStaffsInfo = connect(
        mapStateToProps,
        mapDispatchToProps
  )(SearchInfoStaffsInfo);